PREFIX=M4_PREFIX
BIN_DIR=M4_BINDIR
DATA_DIR=M4_DATADIR
PY_DIR=M4_PYDIR
DOC_DIR=M4_DOCDIR

SCRIPTS_DIR=${DATA_DIR}/laydi/scripts/

install: install_laydi install_doc

install_laydi:
	## Install binary files		
	install -m 755 -D bin/laydi ${BIN_DIR}/laydi
	install -m 755 -D bin/dataset ${BIN_DIR}/dataset
	
	## Install library files
	find laydi/ -type f -name '*.py' -exec install -m 644 -D {} ${PY_DIR}/{} \;
	find laydi/ -type f -name '*.glade' -exec install -m 644 -D {} ${PY_DIR}/{} \;
	
	## Install icons
	find icons/ -type f -name '*.png' -exec install -m 644 -D {} ${DATA_DIR}/{} \;

install_scripts:
	find scripts/ -type f -exec install -D {} ${SCRIPTS_DIR}/{} \;

install_doc:
	DOC_DIR=${DOC_DIR}/ make -C doc install
	install -m 644 README ${DOC_DIR}/
	install -m 644 LICENSE ${DOC_DIR}/

