\name{write.ftsv}
\alias{write.ftsv}
\title{write.ftsv}
\description{
Writes a matrix to a ftsv (laydi dataset) file. The matrix must have rownames
and colnames. Rownames and colnames must be unique, and whitespace characters
will be replaced with underscores.
}
\usage{
write.ftsv(data, con, name = "unnamed_dataset", rowdim = "rows", coldim = "cols")
}
\arguments{
  \item{data}{
     A data matrix. All items in rownames(data) and colnames(data) must be
     unique, and all whitespace characters will be replaced wity underscores in
     the output. (Laydi requires unique identifiers along a dimension, and does
     not allow identifiers to contain spaces.)
  }
  \item{con}{
     Connection (or file name) to write the data to. If con is a character
     string, it will be treated as a file name, and a file by that name will be
     created, written to and closed. If con is an open connection (file descriptor),
     the file will remain open.
  }
  \item{name}{
     Datasets in laydi have a name.
  }
  \item{rowdim}{
     Laydi names all dimensions of matrices. rowdim is the dimension
     name for rows in the the file. E.g. "samples", if rows denotes samples.
  }
  \item{coldim}{
     Laydi names all dimensions of matrices. coldim is the dimension
     name for columns in the the file. E.g. "gene-ids" if columns represent
     genes.
  }
}

\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
Laydi and this R package are not published in the litterature. Source code can be found at
http://dev.pvv.ntnu.no/projects/laydi
}
\author{
Einar Ryeng
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

library(datasets)
write.ftsv(randu, "/tmp/randu.ftsv")

}

\keyword{ IO }
\keyword{ file }

