![](./wiki/graphics/project_icon.png)

# Laydi

## Look At Your Data Interactively

Laydi is an acronym for look at your data interactively, which is what the program is aimed at. It is a lightweight data analysis program for bilinear modeling (PCA and PLS) with a strong focus on interactive use. Laydi is released under the GNU GPL and the latest development snapshot can be downloaded from https://git.pvv.ntnu.no/Projects/laydi.git

![](./wiki/graphics/screenshot-00.png)

## Features

- Principal Component Analysis (PCA)
- Partial Least Squares Regression (PLS)
- L-shaped PLS regression (L-PLS)
- Easy mapping of variables between plots, selections in one plot propagates to other plots.

## Nonfeatures

- Does not import arbitrary files. Files must be prepared in a (simple) file format prior to import.
- Saving and loading of projects is not implemented. (Datasets can be saved and loaded, though, and plots can be exported)
- Not very stable

## Installation requirements

Laydi currently requires the following extra packages, available from apt on Debian and Ubuntu.

- python2.4 or python2.5
- python-glade2
- python-gnome2
- python-gtk2
- python-matplotlib
- python-scipy
- python-numpy

Partially needed

- python-networkx
- python-pygraphviz

## Download laydi

Laydi is not debianized. To download it, use the clone the git repo.

```console
git clone https://git.pvv.ntnu.no/Projects/laydi.git
```

## User documentation

- [Frequently Asked Questions](./wiki/faq.md)
- [Laydi help](./wiki/help.md) (the same as available through the help menu in the application.)
- [Terminology](./wiki/Terminology.md)

## Developer documentation

- [Developer tips and tricks](./wiki/development/hints.md)
