#!/usr/bin/env python

#from distutils.core import setup

short_description=\
"""Look at your data interactively.
"""

long_description=\
"""Look at your data interactively (Laydi) is a lightweight data analysis
application to do bilinear analysis.
"""

classifiers = """\
Development Status :: 4 - Beta
Environment :: Console
Intended Audience :: Science/Research
License :: OSI Approved :: GPL
Operating System :: OS Independent
Programming Language :: Python
Topic :: Scientific/Engineering
"""

from laydi.laydi import VERSION

def configuration(parent_package='', top_path=None):
    from numpy.distutils.misc_util import Configuration
    config = Configuration('', parent_package, top_path)
    config.add_data_dir('tests')
    config.add_scripts(['bin/laydi', 'bin/dataset'])
    config.add_data_dir('icons')
    config.add_subpackage('laydi')
    return config

if __name__ == "__main__":
    from numpy.distutils.core import setup
    config = configuration(top_path='').todict() 
    config['author'] = 'Einar Ryeng'
    config['author_email'] = 'einarr@pvv.org'
#    config['short_description'] = short_description
    config['long_description'] = long_description
    config['url'] = 'https://dev.pvv.org/projects/laydi'
    config['version'] = VERSION
    config['license'] = 'GPL'
    config['platforms'] = ['Linux']
    config['classifiers'] = filter(None, classifiers.split('\n'))
    setup(**config)

