# Terminology
As most software projects, the Laydi system has its own terms to describe objects and elements. Where possible, we have tried to be somewhat consistent with the terms used in other similar software such as Pathway Assist, Array Assist and Unscrambler. The most important terminology of Laydi is listed here.

## User Interface

![GUI Overview](./graphics/gui-overview.png)

- The **Navigator** is where the data and plots for the current project are visually located on the screen. It is usually empty until you load some datasets. Datasets and plots are arranged in a hierarchy.
- A **Project** is where the data for an analysis are stored. The data and plots for a project are shown in the navigator window.
- A **Workflow** is a set of stages with functions you might want to use to accomplish some task.
- Each **Stage** in a workflow has a name like preprocessing or regression, and contain the functions needed to do that part of the analysis.
- In the center of the application (marked Plots in the picture) are a set of **viewframes** that can display plots. Drag and drop a plot from the navigator to the viewframe where you want to see it.
- In the **Information pane**, two tabs are always visible: Log and Selections. Additional tabs can be made in the workflows.
- The **log** contains informational messages from the program.
- The **selections** tab shows what is selected in a specific dimension.

## Implementation Details

- **Dataset** is the basis class of the data in the program. A dataset is similar to a dataframe in GNU R in that it is a matrix with labels along the axes. Unlike R, each dimension in a dataset contains a globally unique name for the dimensions in the problem domain.
- **Annotations** are textual tables that describe the identifiers along an axis in some way.
