# Configuration

Laydi reads configuration from two types of configuration files. The main configuration is read from `/etc/laydirc/` and `$HOME/.laydi`. The possible variables in this configuration are described in the section Laydi configuration below.

The other file is the settings file for the matplotlib plotting package that is used in Laydi. This package has a lot of settings on its own, and instead of incorporating it into the general laydi configuration file it is distributed as a separate `matplotlibrc` file with options suitable for use in Laydi.

## Laydi configuration

### Directories

#### datadir

datadir is a directory for datasets. There are helper functions that makes it easy for a workflow to load data from this directory.

#### cachedir

cachedir is a directory where laydi can write cached data at will.

#### workflowdir

workflowdir is a path of directories where Laydi should look for workflows. When Laydi is started the `-w ''workflow''` option, these are the directories that will be searched for workflows. Note that *all* directories in `workflowdir` are added to the python path. If you add your own workflow directory, make sure that no files in the directory interfere with Laydi modules or standard Python modules.

## Matplotlib configuration

Matplotlib is configured with a matplotlib configuration file included with laydi. Documentation for the various options are included as comments in the file itself.
