import sys,os
import os.path
import cPickle

from laydi import logger, plots, workflow, dataset, main, annotations
from laydi.lib import blmfuncs, nx_utils, validation, engines, cx_stats, cx_utils

class DefaultWorkflow(workflow.Workflow):
    name = 'Default'
    ident = 'default'
    description = 'General bilinear modelling workflow'

    def __init__(self):
        workflow.Workflow.__init__(self)        

        # BLM's
        model = workflow.Stage('models', 'Models')
        model.add_function(blmfuncs.PCA())
        model.add_function(blmfuncs.PLS())
        model.add_function(blmfuncs.LPLS())
        self.add_stage(model)
        
        logger.log('debug', 'Default workflow loaded.')

